Summary: Synchronizes system time using the Network Time Protocol (NTP).
Name: xntp3
Version: 5.93
Release: 1.3.0
Copyright: distributable
Group: System Environment/Daemons
Source0: ftp://ftp.udel.edu/pub/ntp/xntp3-%{version}.tar.gz
Source1: ntp.conf-gd-3
Source2: ntp.keys
Source3: xntpd.rc
Source4: ntp.step-tickers
Patch0: xntp3-5.93a.diff.gz
Patch1: xntp3-5.93b.diff.gz
Patch2: xntp3-5.93c.diff.gz
Patch3: xntp3-5.93d.diff.gz
Patch4: xntp3-5.93e.diff.gz
Patch10: xntp3-5.93-maxtc.patch
Patch20: xntp3-5.93-overflow.patch
Patch30: xntp3-5.93-fix-formatstring-gd.diff
Patch40: xntp3-5.93-unpriv-caen-gd-1.diff
URL: http://www.cis.udel.edu/~ntp
BuildRoot: /var/tmp/%{name}-root
Requires: initscripts >= 6.2-1.0.2, libcap
Prereq: /sbin/chkconfig /usr/sbin/useradd

%description
The Network Time Protocol (NTP) is used to synchronize a computer's
time with another reference time source.  The xntp3 package contains
utilities and daemons which will synchronize your computer's time to
Coordinated Universal Time (UTC) via the NTP protocol and NTP servers.
Xntp3 includes ntpdate (a program for retrieving the date and time
from remote machines via a network) and xntpd (a daemon which
continuously adjusts system time).

Install the xntp3 package if you need tools for keeping your system's
time synchronized via the NTP protocol.

%prep 
%setup -q -n xntp3-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%patch10 -p1
%patch20 -p0
%patch30 -p1
%patch40 -p1

%build
%configure --sysconfdir=/etc --bindir=$RPM_BUILD_ROOT%{_prefix}/sbin
CFLAGS="$RPM_OPT_FLAGS" make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make install prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc
  strip $RPM_BUILD_ROOT/usr/sbin/* || :

  mkdir -p $RPM_BUILD_ROOT/etc/{ntp,init.d}
  install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/ntp.conf
  install -m600 %{SOURCE2} $RPM_BUILD_ROOT/etc/ntp/keys
  install -m755 %{SOURCE3} $RPM_BUILD_ROOT/etc/init.d/xntpd
  install -m600 %{SOURCE4} $RPM_BUILD_ROOT/etc/ntp/step-tickers

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%pre
  /usr/sbin/useradd -c "NTP Daemon" -s /bin/false -r \
    -d /etc/ntp ntp 2>/dev/null || :

%post
  /sbin/chkconfig --add xntpd

%preun
  if [ $1 = 0 ]; then
    /etc/init.d/xntpd stop > /dev/null 2>&1
    /sbin/chkconfig --del xntpd
  fi

%postun
  if test -r /var/lock/subsys/xinetd; then
    /etc/init.d/xinetd restart >&2
  fi
 
  if [ $1 = 0 ]; then
    /usr/sbin/userdel ntp 2>/dev/null || :
    /usr/sbin/groupdel ntp 2>/dev/null || :
  fi

%files
  %defattr(-,root,root)
  %doc html/* NEWS TODO 

  %attr(0750,ntp,admin)		%dir /etc/ntp
  %attr(0640,root,admin)	%config /etc/ntp.conf
  %config /etc/ntp/keys
  %attr(0640,root,admin)	%config(missingok) /etc/ntp/step-tickers
  %attr(0750,root,admin)	/usr/sbin/*
  %attr(0700,root,root)		/etc/init.d/xntpd

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Tue May 14 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 5.93, Release 1.2.4
  - Make /etc/ntp part of package and make it writeable by 'ntp' user.

* Wed May 08 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 5.93, Release 1.2.[23]
  - Install %{SOURCE}'s, not $RPM_SOURCE_DIR/<file>, in %install.

* Tue Apr 16 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 5.93, Release 1.2.1
  - Cleaned up spec a little bit.
  - Added Chris Wing's capabilities/droproot patches from CAEN Linux.

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Fri Sep 28 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 5.93, Release 1.1.1
  - Fix a format string ("%%m" => "%m") in ntp_io.c.

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 5.93, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Fri Apr 06 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 5.93, Release 1.0.16
  - Patched against buffer overflow in xntpd/ntp_control.c

* Tue Mar 27 2001 Ryan W. Maple <ryan@guardiandigital.com>
  - Updated initscript.

* Thu Mar 15 2001 Ryan W. Maple <ryan@guardiandigital.com>
  - Updated initscripts.

* Mon Dec 04 2000 Pete O'Hara <pete@guardiandigital.com>
- chmod 700 chgrp root /etc/init.d/xntpd

* Sun Dec 03 2000 Dave Wreski <dave@guardiandigital.com>
- use chkconfig --level 3 only

* Thu Nov 30 2000 Pete O'Hara <pete@guardiandigital.com>
- chmod 0750 /usr/sbin/* 

* Mon Nov 27 2000 Dave Wreski <dave@guardiandigital.com>
- removed /etc/sysconfig from xntp init file

* Tue Nov 21 2000 Pete O'Hara <pete@guardiandigital.com>
- changed to support not using /etc/sysconfig/network
	file - must be used with initscripts-6.2-1.0.12
	or higher

* Thu Nov 16 2000 Pete O'Hara <pete@guardiandigital.com>
- added default time servers terrapin.csc.ncsu.edu, 
	ntp1.kansas.net, ntp-cup.external.hp.com to
	ntp.conf 
- added default /etc/ntp/step-tickers file with IP addresses
	of above 

* Thu Oct 26 2000 Pete O'Hara <pete@guardiandigital.com>
- moved /etc/rc.d/* to /etc

* Fri Jul 28 2000 Pete O'Hara <pete@guardiandigital.com>
- removed world access to ntp.conf
- initial version
